Package org.globus.gsi.gssapi.auth

# Class NoAuthorization

java.lang.Object
org.globus.gsi.gssapi.auth.Authorization
org.globus.gsi.gssapi.auth.GSSAuthorization
org.globus.gsi.gssapi.auth.NoAuthorization

public class NoAuthorization extends GSSAuthorization
Implements the simplest authorization mechanism that does not do any authorization checks.

## Constructor Summary

Constructors
Constructor
Description
`NoAuthorization()`

## Method Summary

Modifier and Type
Method
Description
`void`
`authorize(GSSContext context, String host)`
Performs no authorization checks.
`GSSName`
`getExpectedName(GSSCredential cred, String host)`
Always returns null.
`static NoAuthorization`
`getInstance()`
Returns a single instance of this class.

### Methods inherited from class org.globus.gsi.gssapi.auth.Authorization

`generateAuthorizationException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoAuthorization

public NoAuthorization()

## Method Details

### getInstance

public static NoAuthorization getInstance()
Returns a single instance of this class.

Returns:
  the instance of this class.

### getExpectedName

public GSSName getExpectedName(GSSCredential cred, String host) throws GSSException
Always returns null.

Specified by:
  `getExpectedName` in class `GSSAuthorization`
Parameters:
  `cred` - credentials used
  `host` - host address of the peer.
Throws:
  `GSSException` - if unable to create the name.

### authorize

public void authorize(GSSContext context, String host) throws AuthorizationException
Performs no authorization checks. The function is always successful. It does not throw any exceptions.

Specified by:
  `authorize` in class `Authorization`
Parameters:
  `context` - the securit context
  `host` - host address of the peer.
Throws:
  `AuthorizationException` - if the peer is not authorized to access/use the resource.